import * as React from 'react';
import { pie, arc, interpolateRgb } from 'd3';

export const Slice = ({
  pie,
  outerRadius,
  innerRadius
}) => {
  let arc = d3
    .arc()
    .innerRadius(innerRadius)
    .outerRadius(outerRadius);

  let interpolate = d3.interpolateRgb('#eaaf79', '#bc3358');

  return pie.map((slice, index) => {
    let sliceColor = interpolate(index / (pie.length - 1));
    return (
      <>
        <path d={arc(slice)} fill={sliceColor} />
      </>
    );
  });
};
